BEEM - Android XMPP - Bug #342

Crash when receiving an offline message
02/02/2011 09:09 AM - Victor N
Description

Hi,

Every morning | wake up, turn on Beem on my mobile, it notify me there is a received message (that has been sent when | was
offline, it happens to me almost every night, | have strange contacts :), | open the notification bar, tap on the message, and then
Beem crashes.

| am using current version from Market (0.1.5).

| think it should be easy to reproduce.

History

#1 - 02/04/2011 09:37 AM - santhosh b

- File DelayinformationProvider.class added

Hi,

| fixed this issue. Made some changes in 'DelaylnformationProvider.java' file. Just replace the attached class file in the jar.
Fix is :

The timestamp in offline message is in "yyyy-MM-dd'T'HH:mm:ss" format but in the DelaylnformationProvider.java using different date format like
"yyyy-MM-dd'T'HH:mm:ss'Z". So i removed the 'Z' and updated the jar file.

For your reference i am attaching the .class file

#2 - 02/04/2011 11:10 AM - Nikita Kozlov

Hello,

Could you please provide us the source code (or a diff) of your DelayInformationProvider.java so we could review it ?
#3 - 02/04/2011 02:01 PM - santhosh b

- File DelayInformationProvider.java added

Hi,

Please find the attached source file.

Thanks,
Santhosh

#4 - 02/04/2011 05:14 PM - Frédéric Barthéléry
- Status changed from New to Assigned
- Assignee set to Nikita Kozlov

- Target version setto 0.1.6

#5 - 05/19/2011 11:23 AM - Nikita Kozlov

- Status changed from Assigned to Rejected
Hello santhosh,

Sorry for the late reply, | apparently missed your patch.
When looking at http:/xmpp.org/extensions/xep-0203.html the 'Z' is correct.

Also, | failed to reproduce your crash. | tried with 2 differents xmpp server and with different combination of offline contacts etc...

| think your crash is more likely to be related to some lost connections behavior (like #258 or #270).

Files
DelayInformationProvider.class 2.12 KB 02/04/2011 santhosh b
DelayInformationProvider.java 2.77 KB 02/04/2011 santhosh b
